Bug 529273 - Scribus Undo does not undo text modifications
Summary: Scribus Undo does not undo text modifications
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus
Version: 11
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-15 20:25 UTC by hkoesjan
Modified: 2009-11-05 21:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 21:47:16 UTC
Type: ---


Attachments (Terms of Use)

Description hkoesjan 2009-10-15 20:25:03 UTC
Description of problem: The Undo in Scribus (Edit/Undo or Ctrl-Z) does not undo text modifications, even in story editor.


Version-Release number of selected component (if applicable):Scribus Version 1.3.5.1 (11 August 2009) Build ID: C-C-T-F-C1.8.8 Using Ghostscript version 8.70 


How reproducible:


Steps to Reproduce:
1. Create a frame (image, table, form, etc)
2. Create a text frame
3. Double click in the text frame enter a text
4. Create another frame (does not matter what kind of frame)
5. Double click in the text and modify the text frame created in the step 2.
6. Edit/Undo or Ctrl-Z

Actual results: you will lose the frame created in the step 4 and the modifications in the text frame will remain.


Expected results: I believe the Undo must work also with the content of the text frame, like it works in the content of the other frames, if I instead of create a text frame, create an image frame in step 3 and get image (Ctrl-D), and in step 5 I change the image acquired get image and select another image, the Undo will restore the first image, so it is supposed to work the same way with the text frame.


Additional info:

Comment 1 Dan Horák 2009-10-16 09:58:13 UTC
This is clearly an upstream issue, please report it at http://bugs.scribus.net/

Comment 2 Dan Horák 2009-11-05 21:47:16 UTC
Functional deficiency in "undo" is a known upstream problem, please search their bugtracker for details.


Note You need to log in before you can comment on or make changes to this bug.